System 4.0.0.0 System.Object To be added.

An instance of this class represents the result of performing a single ReceiveAsync operation on a WebSocket.

- Constructor
  4.0.0.0
  To be added.

  Creates an instance of the class.

  The number of bytes received.
  The type of message that was received.
  Indicates whether this is the final message.
- Constructor
  4.0.0.0
  To be added.

  Creates an instance of the class.

  The number of bytes received.
  The type of message that was received.
  Indicates whether this is the final message.
  Indicates the of the connection.
  The description of .
- Property
  4.0.0.0
  System.Nullable<System.Net.WebSockets.WebSocketCloseStatus> To be added. To be added.

  Indicates the reason why the remote endpoint initiated the close handshake.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Returns the optional description that describes why the close handshake has been initiated by the remote endpoint.

- Property
  4.0.0.0
  System.Int32 To be added.

  Count can be 0 in two cases:

  The WebSocket received an empty message. In this case the property is None.

  The WebSocket received a close message was received from the remote endpoint. In this case the property is set to a value other than None.

  Indicates the number of bytes that the WebSocket received.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Indicates whether the message has been received completely.

- Property
  4.0.0.0
  System.Net.WebSockets.WebSocketMessageType To be added. To be added.

  Indicates whether the current message is a UTF-8 message or a binary message.